KWIN_GET_ASSOCIATED_OBJECT(3)

EXPERIMENTAL_FUNC
kwin_get_associated_object - Get an associated object for a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

void * kwin_get_associated_object

(KPixCanvas canvas, CONST void *key)

DESCRIPTION
Get an associated object for a pixel canvas.

canvas
    The pixel canvas.

key The key to search for.

RETURN VALUE
A pointer to the associated object. NULL is returned if the key is not found.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/